Bug 2009 - kernel was updated to 3.8.12 version
: kernel was updated to 3.8.12 version
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on: 2039
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 18:35 MSD by Alexander Burmashev
Modified: 2013-05-27 14:44 MSD (History)
4 users (show)

See Also:
RPM Package: kernel
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
Kernel panic - screenshot (26.54 KB, image/png)
2013-05-16 11:45 MSD, Eugene Shatokhin
Details
Output of 'lspci -vvnn' (HP EliteBook) (31.38 KB, application/octet-stream)
2013-05-16 12:03 MSD, Eugene Shatokhin
Details
krn4103-8.png (337.50 KB, image/png)
2013-05-20 01:34 MSD, Postnikov Dmitry
Details
krn4103-9.png (225.92 KB, image/png)
2013-05-20 01:35 MSD, Postnikov Dmitry
Details
grub-krn4812.cfg (6.97 KB, application/octet-stream)
2013-05-20 02:40 MSD, Postnikov Dmitry
Details
Postnikov-all(broadcom+dracut-27-4+krn3.8.12+kde4.10.3+ssystemd194-17).odt (995.28 KB, application/vnd.oasis.opendocument.text)
2013-05-21 01:13 MSD, Postnikov Dmitry
Details
lspci-actl1c.txt (20.13 KB, text/plain)
2013-05-21 11:40 MSD, Postnikov Dmitry
Details
atl1c1.png (369.50 KB, image/png)
2013-05-21 12:32 MSD, Postnikov Dmitry
Details
krn-sravn.png (434.78 KB, image/png)
2013-05-21 15:12 MSD, Postnikov Dmitry
Details
krn-sravn1.png (431.65 KB, image/png)
2013-05-21 15:13 MSD, Postnikov Dmitry
Details
tsc.png (329.95 KB, image/png)
2013-05-21 15:36 MSD, Postnikov Dmitry
Details
dmesg double wake up (89.45 KB, text/plain)
2013-05-21 17:00 MSD, Vladimir Potapov
Details
syslog double wakeup (359.63 KB, application/zip)
2013-05-21 17:02 MSD, Vladimir Potapov
Details
messages double wakeup (325.93 KB, application/zip)
2013-05-21 17:03 MSD, Vladimir Potapov
Details
test_suspend_hibernate (122.93 KB, application/vnd.oasis.opendocument.text)
2013-05-22 10:01 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Burmashev 2013-05-15 18:35:02 MSD
kernel was updated to 3.8.12 version
Comment 2 Eugene Shatokhin 2013-05-16 11:45:56 MSD
Created attachment 1360 [details]
Kernel panic - screenshot
Comment 3 Eugene Shatokhin 2013-05-16 11:51:12 MSD
Installed the released ROSA Fresh i586 one a HP EliteBook, then added the containers with the kernel 3.8.12, updated the kernel packages from there. Rebooted - got kernel panic (see the screenshot I have attached).

I observed such crashes on my QEMU VMs too, so I guess, I should not depend on some particular hardware.

From the call stack, I suppose, it has something to do with zSwap. If it can be disabled at boot, I'll disable it and try again.
Comment 4 Eugene Shatokhin 2013-05-16 12:03:10 MSD
Created attachment 1362 [details]
Output of 'lspci -vvnn' (HP EliteBook)

Attached the output of 'lspci -vvnn' for that HP EliteBook where the mentioned panic occurred - just in case.
Comment 5 Eugene Shatokhin 2013-05-16 13:07:58 MSD
Added zswap.enabled=0 to the kernel parameters at boot. The system booted OK, so it might be a zswap issue indeed.
Comment 6 Alexander Burmashev 2013-05-16 13:10:49 MSD
Discussed with our kernel maintainer and he well disable and remove zswap
Comment 9 Vladimir Potapov 2013-05-19 12:44:53 MSD
It's necessary to test kernel with the new driver broadcom.

https://abf.rosalinux.ru/build_lists/1075200
https://abf.rosalinux.ru/build_lists/1075201
Comment 10 Vladimir Potapov 2013-05-19 12:50:23 MSD
and new dracut http://bugs.rosalinux.ru/show_bug.cgi?id=2008
Comment 11 Vladimir Potapov 2013-05-19 12:50:49 MSD
The package route to extended testing
Comment 12 Postnikov Dmitry 2013-05-19 18:45:48 MSD
(In reply to comment #8)
> fixed the latest packages:
> i586
> https://abf.rosalinux.ru/build_lists/1097836
> https://abf.rosalinux.ru/build_lists/1097309
> 
> x86_64
> https://abf.rosalinux.ru/build_lists/1097837
> https://abf.rosalinux.ru/build_lists/1097310

(In reply to comment #9)
> It's necessary to test kernel with the new driver broadcom.
>
> https://abf.rosalinux.ru/build_lists/1075200
> https://abf.rosalinux.ru/build_lists/1075201

Took the job. Will test on KDE 4.10.3+systemd-194-17
Comment 13 Postnikov Dmitry 2013-05-20 01:34:48 MSD
Created attachment 1384 [details]
krn4103-8.png

Hm....
I update to kernel 3.8.12 and view error befor Plymuth and log.
See att.
https://bbs.archlinux.org/viewtopic.php?pid=1177701
This is normal?
Comment 14 Postnikov Dmitry 2013-05-20 01:35:41 MSD
Created attachment 1385 [details]
krn4103-9.png


And i decided to back kernel 3.6.10 and also error, only urpm-reposymc and cpupower.

See att.
Comment 15 Postnikov Dmitry 2013-05-20 01:38:03 MSD
Error in text:
===============
[root@localhost pastordi]# cat /var/log/dmesg | grep -i -E "tsc|error|fail|segfau"
[    0.000000] tsc: Fast TSC calibration failed
[    0.003000] tsc: Unable to calibrate against PIT
[    0.003000] tsc: using HPET reference calibration
[    0.003000] tsc: Detected 3113.761 MHz processor
[    0.214602]  pci0000:00: ACPI _OSC support notification failed, disabling PCIe ASPM
[    1.040659] i8042: Failed to disable AUX port, but continuing anyway... Is this a SiS?
[    1.949789] tsc: Refined TSC clocksource calibration: 3113.772 MHz
[    1.949795] Switching to clocksource tsc
[    8.537728] sp5100_tco: failed to find MMIO address, giving up.
[root@localhost pastordi]# 
[root@localhost pastordi]# uname -a
Linux localhost.localdomain 3.8.12-nrj-desktop-2rosa #1 SMP PREEMPT Thu May 16 21:53:13 MSK 2013 x86_64 x86_64 x86_64 GNU/Linux
[root@localhost pastordi]# 
==============

==============
[2/6] perf-3.6.10-1-rosa2012.1.x86_64.rpm
[3/6] cpupower-3.6.10-1-rosa2012.1.x86_64.rpm
urpm-reposync: ошибка при работе с пакетом {'cur_file': '/tmp/urpm-reposync.rpms/cpupower-3.6.10-1-rosa2012.1.x86_64.rpm', 'data': 'RPMCALLBACK_SCRIPT_ERROR; 1024, 1, /tmp/urpm-reposync.rpms/cpupower-3.6.10-1-rosa2012.1.x86_64.rpm, 1'}. Данные: RPMCALLBACK_SCRIPT_ERROR; 1024, 1, /tmp/urpm-reposync.rpms/cpupower-3.6.10-1-rosa2012.1.x86_64.rpm, 1
error: %post(cpupower-3.6.10-1.x86_64) scriptlet failed, exit status 1
[4/6] kernel-nrj-desktop-devel-latest-3.6.10-1-rosa2012.1.x86_64.rpm
[5/6] kernel-headers-3.6.10-1-rosa2012.1.noarch.rpm
[6/6] kernel-nrj-desktop-latest-3.6.10-1-rosa2012.1.x86_64.rpm
Удаление kernel-nrj-desktop-latest
Удаление cpupower
Удаление perf
Удаление kernel-headers
Удаление dracut
Удаление kernel-nrj-desktop-devel-latest
[root@localhost pastordi]#
==============
Comment 16 Alexander Burmashev 2013-05-20 01:43:02 MSD
Did you try adding clocksource=acpi_pm to the kernel boot string ?
Comment 17 Postnikov Dmitry 2013-05-20 01:46:37 MSD
(In reply to comment #16)
> Did you try adding clocksource=acpi_pm to the kernel boot string ?

No.
Before this I have not observed. Now go back to old kernel, and again will be install new kernel. If i see this error, then try you helpful.
Comment 18 Postnikov Dmitry 2013-05-20 02:07:43 MSD
The error is the same. But another big mistake is.
1. When I kernel 3.6.10 in Grub2 keyboard works.
2. Install kernel 3.8.12 and in Grub2 keyboard NOT works. I don't tweak the kernel parameters.
3. Again reinstall kernel 3.6.10 in Grub2 keyboard works.
4. Install kernel 3.8.12 and in Grub2 keyboard NOT works.

Two attempts to put the new kernel in Grub2 twice the keyboard does not work. The error is clearly associated with the new kernel. It something crooked writes in Gub2.
Comment 19 Alexander Burmashev 2013-05-20 02:18:03 MSD
Can you explain better how can i check if this error is present ? You can't move to the other boot option in grub menu or what is the problem ?
I doubt that kernel can cause grub2 error because it ( grub ) is loaded before kernel and does not really depend on it at all.
Comment 20 Postnikov Dmitry 2013-05-20 02:25:34 MSD
(In reply to comment #19)
> Can you explain better how can i check if this error is present ? You can't
> move to the other boot option in grub menu or what is the problem ?
> I doubt that kernel can cause grub2 error because it ( grub ) is loaded
> before kernel and does not really depend on it at all.

Yes, i can't move to the other boot option in grub menu. Grub2 not respond to pressing the keys.

I never did anything. The standard procedure,
1. Connect repo1, connect repo2
2. urpmi --auto-update, and new kernel installed
3. reboot
4. Grub2 not respond to my keyboard.

USB keyboard (Genius) + wifi mouse (A4tech)

[root@localhost pastordi]# lsusb
Bus 004 Device 004: ID 09da:054f A4 Tech Co., Ltd 
Bus 004 Device 005: ID 04d9:1702 Holtek Semiconductor, Inc. 
Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 007 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
[root@localhost pastordi]#
Comment 21 Postnikov Dmitry 2013-05-20 02:32:09 MSD
I understand that Grub2 BEFORE the kernel is loaded. However, this only after installing a new kernel. After all, once generated .img kernel then goes edit the configuration file Grub2. Apparently something crooked there is written.
When I go back to the old kernel. The old kernel, again, writes in configuration file Grub2 , but after a reboot EVERYTHING works.
Comment 22 Postnikov Dmitry 2013-05-20 02:40:49 MSD
Created attachment 1386 [details]
grub-krn4812.cfg

My Grub2 config file after install and boot kernel 4.8.12
Comment 23 Alexander Burmashev 2013-05-20 16:00:20 MSD
If you can attach please grub config before updating to 3.8 kernel.
Comment 24 Postnikov Dmitry 2013-05-21 01:13:14 MSD
Created attachment 1389 [details]
Postnikov-all(broadcom+dracut-27-4+krn3.8.12+kde4.10.3+ssystemd194-17).odt

****************************************
Extended testing report - Broadcom
****************************************
Comment 25 Postnikov Dmitry 2013-05-21 01:15:53 MSD
*******************************************
Extended testing report - Kernel 3.8.12
*******************************************

http://cdn.2safe.com/611642033046/Postnikov-all(krn3.8.12+kde4.10.3+ssystemd194-17).odt
Comment 26 Eugene Shatokhin 2013-05-21 11:38:27 MSD
(In reply to comment #25)
Thanks for the report.

Could you also post the output of lspci from the machine where the system complains about atl1c driver?
Comment 27 Postnikov Dmitry 2013-05-21 11:40:05 MSD
Created attachment 1390 [details]
lspci-actl1c.txt

(In reply to comment #26)
> (In reply to comment #25)
> Thanks for the report.
> 
> Could you also post the output of lspci from the machine where the system
> complains about atl1c driver?

See att.
Comment 28 Postnikov Dmitry 2013-05-21 11:44:06 MSD
Today nepomukservice is segfault, but atl1c not write error.
I wrote in report, and testers all noted fact that kernel is not very stable behaves.
=========
May 20 22:38:59 localhost NetworkManager[1591]: <info> (eth0): IP6 addrconf timed out or failed.
May 20 22:43:36 localhost kernel: [  317.609454] atl1c 0000:02:00.0: vpd r/w failed.  This is likely a firmware bug on this device.  Contact the card vendor for a firmware update.
May 20 22:43:49 localhost kernel: [  330.670145] atl1c 0000:02:00.0: vpd r/w failed.  This is likely a firmware bug on this device.  Contact the card vendor for a firmware update.
May 20 22:53:18 localhost systemd-tmpfiles[12454]: stat(/run/user/500/gvfs) failed: Permission denied
May 20 22:53:18 localhost systemd[1]: Failed to start Cleanup of Temporary Directories.
May 20 22:53:18 localhost systemd[1]: Unit systemd-tmpfiles-clean.service entered failed state.
May 21 00:15:25 localhost kernel: [ 5811.774990] GPT: Use GNU Parted to correct GPT errors.
May 21 02:11:55 localhost kernel: [12784.323425] psyncnotify[3725]: segfault at f63240 ip 0000000000f63240 sp 00007fff55c9cdf8 error 15
May 21 02:11:56 localhost kernel: [12785.401728] nepomukservices[3698]: segfault at 0 ip           (null) sp 00007fff9ede2028 error 14 in nepomukservicestub[400000+7000]
May 21 11:20:40 localhost kernel: [    0.001000] tsc: Fast TSC calibration using PIT
May 21 11:20:40 localhost kernel: [    0.002000] tsc: Detected 3113.755 MHz processor
Ma
==============
Comment 29 Alexander Burmashev 2013-05-21 11:49:00 MSD
Nepomuk is not kernel related as well as most of other errors )
Comment 30 Eugene Shatokhin 2013-05-21 12:21:39 MSD
(In reply to comment #27)
> Created attachment 1390 [details]
> lspci-actl1c.txt
> 
> See att.

OK, so the system does have AR8151 network card by Atheros. Does the wired networking work there?
Comment 31 Postnikov Dmitry 2013-05-21 12:25:19 MSD
(In reply to comment #29)
> Nepomuk is not kernel related as well as most of other errors )

I understand that Nepomuk engaged semantics files. But in the logs messages just from the kernel. Kernel deals with access to extended memory + file systems. And Nepomuk uses this. Perhaps something is buggy.

PS. If we compare the kernel 3.8.5 and 3.8.12 version 3.8.5 much more stable behaves.
Comment 32 Postnikov Dmitry 2013-05-21 12:27:55 MSD
(In reply to comment #30)
> (In reply to comment #27)
> > Created attachment 1390 [details]
> > lspci-actl1c.txt
> > 
> > See att.
> 
> OK, so the system does have AR8151 network card by Atheros. Does the wired
> networking work there?

Sorry, it was too late... I braked. :)
Yes, this Ethernet card (no wifi) and it works well , although this error appeared.
Comment 33 Postnikov Dmitry 2013-05-21 12:32:50 MSD
Created attachment 1391 [details]
atl1c1.png

For one moment. Only now have noticed. atl1c writes that the card 100 Mbit, but this card - 1 Gigabit.
Comment 34 Postnikov Dmitry 2013-05-21 12:35:26 MSD
[root@localhost pastordi]# modinfo atl1c
filename:       /lib/modules/3.8.12-nrj-desktop-2rosa/kernel/drivers/net/ethernet/atheros/atl1c/atl1c.ko.xz
version:        1.0.1.1-NAPI
license:        GPL
description:    Qualcom Atheros 100/1000M Ethernet Network Driver
author:         Qualcomm Atheros Inc., <nic-devel@qualcomm.com>
author:         Jie Yang
srcversion:     FFDFE0E5402689DA77D23B4
alias:          pci:v00001969d00001083sv*sd*bc*sc*i*
alias:          pci:v00001969d00001073sv*sd*bc*sc*i*
alias:          pci:v00001969d00002062sv*sd*bc*sc*i*
alias:          pci:v00001969d00002060sv*sd*bc*sc*i*
alias:          pci:v00001969d00001062sv*sd*bc*sc*i*
alias:          pci:v00001969d00001063sv*sd*bc*sc*i*
depends:        
intree:         Y
vermagic:       3.8.12-nrj-desktop-2rosa SMP preempt mod_unload modversions 
[root@localhost pastordi]# 
[root@localhost pastordi]#
Comment 35 Alexander Burmashev 2013-05-21 13:49:45 MSD
Small note - it is not handy to work with bugzilla when errors are reported in external file, better put it all directly to bugzilla.
Since 3.8.12 is almost surely will be published, if there is no critical errors, the best what we can do is fix as many of them as possible.


1) USB flash drive error
Did you try running dosfsck -a on it's device and can you paste it's output here ?



Speaking of the speed - please paste the real time ouput, for example from systemd-analyze, so that the results can be checked somehow.
Comment 36 Postnikov Dmitry 2013-05-21 14:11:56 MSD
(In reply to comment #35)
> Small note - it is not handy to work with bugzilla when errors are reported
> in external file, better put it all directly to bugzilla.
> Since 3.8.12 is almost surely will be published, if there is no critical
> errors, the best what we can do is fix as many of them as possible.
> 
> 
> 1) USB flash drive error
> Did you try running dosfsck -a on it's device and can you paste it's output
> here ?
> 
> 
> 
> Speaking of the speed - please paste the real time ouput, for example from
> systemd-analyze, so that the results can be checked somehow.

1. To write is not in external files, there are problems. 
a) I need all the testers in Bagzilla drive.
b) will be Difficult to keep track of all the errors, when a lot of them. (I think). 
c) My Boss has not yet allowed to do.

2. systemd-analize not present in package systemd.

3. Message out command: dosfsck -a

[root@noname user]# dosfsck -a /dev/sdc1
dosfsck 3.0.13, 30 Jun 2012, FAT32, LFN
There are differences between boot sector and its backup.
Differences: (offset:original/backup)
  65:01/00
  Not automatically fixing this.
FATs differ but appear to be intact. Using first FAT.
Cluster 16387 out of range (2097152 > 981119). Setting to EOF.
Cluster 16389 out of range (8388608 > 981119). Setting to EOF.
Cluster 16391 out of range (16777216 > 981119). Setting to EOF.
Cluster 16393 out of range (134217728 > 981119). Setting to EOF.
Cluster 16416 out of range (1048576 > 981119). Setting to EOF.
Cluster 16418 out of range (4194304 > 981119). Setting to EOF.
Cluster 16421 out of range (33554432 > 981119). Setting to EOF.
Cluster 16423 out of range (134217728 > 981119). Setting to EOF.
Cluster 16642 out of range (1572864 > 981119). Setting to EOF.
Cluster 16644 out of range (4194304 > 981119). Setting to EOF.
Cluster 16646 out of range (8388608 > 981119). Setting to EOF.
Cluster 16649 out of range (134217728 > 981119). Setting to EOF.
Cluster 16672 out of range (1048576 > 981119). Setting to EOF.
Cluster 16674 out of range (4194304 > 981119). Setting to EOF.
Cluster 16677 out of range (33554432 > 981119). Setting to EOF.
Cluster 16679 out of range (134217728 > 981119). Setting to EOF.
Cluster 16854 out of range (67108864 > 981119). Setting to EOF.
Cluster 17155 out of range (3145728 > 981119). Setting to EOF.
Cluster 17159 out of range (33554432 > 981119). Setting to EOF.                                                                                      
Cluster 17161 out of range (201326592 > 981119). Setting to EOF.                                                                                     
Cluster 17184 out of range (1048576 > 981119). Setting to EOF.
Cluster 17186 out of range (4194304 > 981119). Setting to EOF.
Cluster 17189 out of range (33554432 > 981119). Setting to EOF.
Cluster 17196 out of range (1). Setting to EOF.
Cluster 17257 out of range (1048576 > 981119). Setting to EOF.
Cluster 17259 out of range (4194304 > 981119). Setting to EOF.
Cluster 17666 out of range (1048576 > 981119). Setting to EOF.
Cluster 17668 out of range (6291456 > 981119). Setting to EOF.
Cluster 17672 out of range (67108864 > 981119). Setting to EOF.
Cluster 17695 out of range (134742016 > 981119). Setting to EOF.
Cluster 17697 out of range (2097152 > 981119). Setting to EOF.
Cluster 17699 out of range (8388608 > 981119). Setting to EOF.
Cluster 17701 out of range (33554432 > 981119). Setting to EOF.
Cluster 17703 out of range (134217728 > 981119). Setting to EOF.
Cluster 17708 out of range (1). Setting to EOF.
Cluster 17923 out of range (3145728 > 981119). Setting to EOF.
Cluster 17925 out of range (8388608 > 981119). Setting to EOF.
Cluster 17927 out of range (33554432 > 981119). Setting to EOF.
Cluster 17930 out of range (134217728 > 981119). Setting to EOF.
Cluster 17952 out of range (1048576 > 981119). Setting to EOF.
Cluster 17954 out of range (4194304 > 981119). Setting to EOF.
Cluster 17957 out of range (33554432 > 981119). Setting to EOF.
Cluster 17964 out of range (1). Setting to EOF.
Cluster 410627 out of range (3145728 > 981119). Setting to EOF.
Cluster 410629 out of range (4194304 > 981119). Setting to EOF.
Cluster 410632 out of range (67108864 > 981119). Setting to EOF.
Cluster 410651 out of range (1). Setting to EOF.
Cluster 410656 out of range (1048576 > 981119). Setting to EOF.
Cluster 410658 out of range (4194304 > 981119). Setting to EOF.
Cluster 410661 out of range (33554432 > 981119). Setting to EOF.
Cluster 410663 out of range (134217728 > 981119). Setting to EOF.
Cluster 410784 out of range (67108864 > 981119). Setting to EOF.
Cluster 410787 out of range (1048576 > 981119). Setting to EOF.
Cluster 540676 out of range (6291456 > 981119). Setting to EOF.
Cluster 540680 out of range (100663296 > 981119). Setting to EOF.
Cluster 540682 out of range (134217728 > 981119). Setting to EOF.
Cluster 540705 out of range (2097152 > 981119). Setting to EOF.
Cluster 540707 out of range (8388608 > 981119). Setting to EOF.
Cluster 540710 out of range (67108864 > 981119). Setting to EOF.
Cluster 540716 out of range (1). Setting to EOF.
Cluster 541698 out of range (1572864 > 981119). Setting to EOF.
Cluster 541701 out of range (8388608 > 981119). Setting to EOF.
Cluster 541703 out of range (33554432 > 981119). Setting to EOF.
Cluster 541705 out of range (134217728 > 981119). Setting to EOF.
Cluster 541729 out of range (2097152 > 981119). Setting to EOF.
Cluster 541733 out of range (33554432 > 981119). Setting to EOF.
Cluster 541735 out of range (134217728 > 981119). Setting to EOF.
Cluster 541892 out of range (4194304 > 981119). Setting to EOF.
Cluster 541909 out of range (33554432 > 981119). Setting to EOF.
/ROSA.MARATHON.X1.EE.x86_64.iso
  Contains a free cluster (410630). Assuming EOF.
/ROSA.MARATHON.X1.EE.x86_64.iso
  File size is 1561329664 bytes, cluster chain length is 283721728 bytes.
  Truncating file to 283721728 bytes.
Broke cycle at cluster 410677 in free chain.
Ошибка сегментирования (слепок снят)
Comment 37 Alexander Burmashev 2013-05-21 14:15:30 MSD
Is this the flash drive that caused remounting to ro in your logs ? If yes, 
try running 
dosfsck -a /dev/sdc
Comment 38 Postnikov Dmitry 2013-05-21 15:12:39 MSD
Created attachment 1393 [details]
krn-sravn.png

Comparison kernel-1
Comment 39 Postnikov Dmitry 2013-05-21 15:13:09 MSD
Created attachment 1394 [details]
krn-sravn1.png

Comparison kernel-2
Comment 40 Alexander Burmashev 2013-05-21 15:14:53 MSD
According to that log even 3.6.10 boots differ from 27 to 31 second. Am i right ? 
So looking at both pictures average boot time did not change.
Comment 41 Postnikov Dmitry 2013-05-21 15:18:31 MSD
(In reply to comment #40)
> According to that log even 3.6.10 boots differ from 27 to 31 second. Am i
> right ? 
> So looking at both pictures average boot time did not change.

Yes 3.6.10 = 27-31sec.
Yes average boot time did not chage, but visual slow. Especially when connecting external devices.
Comment 42 Alexander Burmashev 2013-05-21 15:25:15 MSD
Ok, i understand that it may be a visual problem, caused by boot interruption.
What errors do you get at boot ? DO you get Fast TSC calibration failure ?
Comment 43 Postnikov Dmitry 2013-05-21 15:36:36 MSD
Created attachment 1395 [details]
tsc.png

(In reply to comment #42)
> Ok, i understand that it may be a visual problem, caused by boot
> interruption.
> What errors do you get at boot ? DO you get Fast TSC calibration failure ?

Yes, i get message "tsc: Fast TSC calibration failed".
BUT!
This message was old kernel 3.6.10. But it was displayed ONLY in the log. And now, in new kernel 3.8.12, it INTERRUPTS the conclusion of Plymouth.

Still I'm concerned about inscription: "tsc: using HPET reference calibration"
Comment 44 Vladimir Potapov 2013-05-21 16:01:53 MSD
On the x64 test system after wakeup system sleep again. Second wakeup work correct. It's annoying regression :-(
Comment 45 Vladimir Potapov 2013-05-21 17:00:03 MSD
Created attachment 1397 [details]
dmesg double wake up
Comment 46 Vladimir Potapov 2013-05-21 17:02:34 MSD
Created attachment 1398 [details]
syslog double wakeup
Comment 47 Vladimir Potapov 2013-05-21 17:03:59 MSD
Created attachment 1399 [details]
messages double wakeup
Comment 48 Aleksandr Kazantcev 2013-05-21 18:07:36 MSD
1. Remove pm-utils
2. Install new upower without pm-utils support

https://abf.rosalinux.ru/build_lists/1098836
https://abf.rosalinux.ru/build_lists/1098837

3. Update KDE 4.10.3 for pm-utils drop
4. Try again

Also try work systemd power modes

systemctl <mode>

where <mode>

  suspend                         Suspend the system
  hibernate                       Hibernate the system
Comment 49 Aleksandr Kazantcev 2013-05-21 18:18:11 MSD
Correct links to upower packages:

https://abf.rosalinux.ru/build_lists/1098850
https://abf.rosalinux.ru/build_lists/1098851
Comment 50 Vladimir Potapov 2013-05-22 10:01:09 MSD
Created attachment 1405 [details]
test_suspend_hibernate
Comment 51 Alexander Burmashev 2013-05-22 11:23:02 MSD
В текте отчета написано, что нет зависимости от ядер, так все же она есть или нет ? Если проблема общая для всех ядер, то ее решать нужно отдельным багом )
Comment 52 Vladimir Potapov 2013-05-22 11:34:07 MSD
(In reply to comment #51)
> В текте отчета написано, что нет зависимости от ядер, так все же она есть
> или нет ? Если проблема общая для всех ядер, то ее решать нужно отдельным
> багом )
Да, я согласен. Но уже здесь столько нужных контейнеров, что тащить замучаешься.
Comment 53 Alexander Burmashev 2013-05-22 11:47:58 MSD
ok
Comment 54 Vladimir Potapov 2013-05-27 14:04:41 MSD
kernel-desktop-latest-3.8.12-2.1
cpupower-3.8.12-2-rosa2012.1
************************* Advisory *************************
kernel was updated to 3.8.12 version
************************************************************
QA Verified